* {
  box-sizing: border-box;
}

.carousel-item {
  height: 100%;
  min-height: 400px;
  background: no-repeat center center scroll;
  background-size: cover;
}

.carousel-caption {
  bottom: 30%;
  /* background-color: rgba(0, 0, 0, 0.5); */
  border-radius: 10px;
  padding: 20px;
}

.carousel-caption h4 {
  font-size: 48px;
  font-weight: 700;
  /* text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8); */
  margin: 2vw 0;
}

.carousel-caption h5 {
  font-size: 1.2rem;
  /* margin-top: 15px; */
}


.btn-custom:hover {
  background-color: #ff5252;
  transform: translateY(-2px);
  transition: all 0.3s ease;
}


.sever-number .text-box {
  display: grid;
}

.professional .title {
  font-size: 24px;
  font-weight: bold;
  color: #444;
  line-height: 35px;
}

.professional .sub-title {
  color: rgb(102, 102, 102);
  font-size: 18px;
  line-height: 35px;
}

.professional .box-list {
  margin-top: 2.5vw;
  display: grid;
}

.professional .box-item .text-box {
  background: rgba(0, 0, 0, .5);
  bottom: 0;
  box-sizing: border-box;
  color: #fff;
  line-height: 1.4;
  padding: 12px 14px;
  text-align: center;
  transform: translateZ(0);
  transition: all .3s;
  width: 100%;
}


.professional .more-btn {
  margin-top: 5vw;
  background-color: #fff;
  color: var(--color-primary);
  border-color: var(--color-primary);
  border-style: solid;
  border-width: 1px;
  align-items: center;
  box-sizing: border-box;
  font-size: 15px;
  padding: 0 6px;
}

.professional .more-btn:hover {
  background-color: var(--color-primary);
  color: #fff;
}

.why-choose-us {
  color: #444;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}


.why-choose-us .title {
  font-size: 24px;
  font-weight: bold;
}

.why-choose-us .sub-title {
  font-size: 18px;
  line-height: 2;
}

.why-choose-us .content-box {
  color: #999;
  display: flex;
}

.why-choose-us .content-box .item-box {
  text-align: center;
}

.service-process {
  background: url(../img/banner-bg.jpg) no-repeat center center;
  background-size: cover;
  color: #fff;
  text-align: center;
  padding: 5vw 0 6.4vw;
}

.service-process .title {
  font-size: 24px;
  font-weight: bold;

}

.service-process .sub-title {
  color: #999;
  font-size: 18px;
  margin-top: 10px;
  margin-bottom: 3vw;
}

.service-process .sever-list {
  display: grid;
  justify-content: center;
}

.case {
  text-align: center;
  padding: 1.3vw 0 0 0;
  padding: 0 1.8229% 20px;
  padding: 6.24327vw 8.35946% 4.14424vw;
}

.case .title {
  font-size: 24px;
  color: #333;
  line-height: 35px;
}

.case .sub-title {
  font-size: 18px;
  color: #666;
  line-height: 35px;
}

.case .case-list {
  display: grid;
  gap: 20px;
  margin-top: 2vw;
}

.case .case-item {
  font-size: 16px;
  text-align: left;
  padding: 5%;
  transition: all .36s ease;
}

.case .case-item:hover {
    background: #fff;
    border-radius: 4px;
    box-shadow: 0 0 22px rgba(0, 0, 0, .12);
}
.case .case-item:hover .case-title {
  color: #02b2b5;
}
.case .case-item:hover .img {
  transform: scale(1.1);
}
.case .case-item:hover .case-foot .icon-list {
    /*left: -50%;*/
    transform: translateX(50%);
}

.case .case-item .img {
  width: 100%;
  height: 230px;
  transition: all .36s ease;
}

.case .case-item .case-title {
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  display: -webkit-box;
  line-height: 1.5;
  overflow: hidden;
  margin-top: 10px;
  color: #333;
}

.case .case-item .case-time {
  color: #999;
}

.case .case-item .case-content {
  -webkit-line-clamp: 5;
  -webkit-box-orient: vertical;
  display: -webkit-box;
  line-height: 2;
  overflow: hidden;
  margin-top: 10px;
  width: 100%;
  color: #666 ;
  font-size: 14px;
}
.case .case-item .case-foot {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 10px;
}
.case .case-item .case-foot .tag {
    font-size: 12px;
    line-height: 1;
    padding: 4px 6px;
    border: 1px solid #666;
    color: #666;
    border-radius: 4px;
}
.case .case-item .case-foot .icon-box {
    width: 30px;
    height: 30px;
    position: relative;
    overflow: hidden;
}
.case .case-item .case-foot .icon-list {
    width: 60px;
    height: 30px;
    position: absolute;
    right: 0;
    display: flex;
    transition: 0.3s all;
}
.case .case-item .case-foot .icon {
    width: 30px;
    height: 30px;
}
.case .more-case {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}
.case .more-case .more-btn {
    line-height: 1;
    border: 1px solid var(--color-primary);
    color: var(--color-primary);
    padding: 8px 10px;
    border-radius: 6px;
    font-size: 14px;
    cursor: pointer;
}

/* 桌面端样式 */
@media (min-width: 992px) {
  .carousel-item {
    height: 580px;
  }

  .carousel-caption {
    bottom: 50%;
    transform: translateY(50%);
    padding: 15px;

  }

  .carousel-caption h4 {
    font-size: 48px;
  }

  .carousel-caption h5 {
    font-size: 27px;
  }

  .sever-number h2 {
    font-size: 48px;
    font-weight: bold;
  }

  .sever-number h2 span {
    font-size: 16px;
    color: #333;
    font-weight: normal;
  }

  .sever-number .lead {
    font-size: 16px;
    color: #333;
    font-weight: 400;
  }

  .sever-number .text-box {
    grid-template-columns: repeat(4, 1fr);
  }

  .professional {
    padding: 5.31915vw 8.35946% 4.14424vw;
  }

  .professional .box-list {
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
  }

  .professional .box-item .text-box .text-1 {
    font-size: 18px;
  }

  .professional .box-item .text-box .text-2 {
    font-size: 16px;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    color: #ccc;
    display: -webkit-box;
    max-height: none;
    overflow: hidden;
    white-space: normal;
    word-break: break-all;
    margin-top: 8px;
  }

  .professional .more-btn {
    width: 80px;
    height: 40px;
  }

  .why-choose-us .content-box {
    flex-direction: row;
    padding: 0vw 12.4%;
  }

  .why-choose-us .content-box .number {
    font-size: 54px;
  }

  .why-choose-us .content-box .text {
    font-size: 18px;
  }

  .why-choose-us .content-box .img-box {
    width: 33%;
    height: 100%;
    margin-top: 4.5vw;
  }

  .why-choose-us .content-box .img-box img {
    width: 100%;
  }

  .why-choose-us .content-box .item-box {
    margin-top: 4.5vw;
  }

  .why-choose-us .content-box .item-box-wrap {
    width: 33%;
  }

  .service-process .sever-list {
    grid-template-columns: repeat(4, 1fr);
    gap: 0 20px;
    padding: 0 13%;
  }

  .service-process .sever-list .sever-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

  }

  .service-process .sever-list .sever-item .text-box {
    flex: 1;
    flex-shrink: 0;
  }

  .service-process .sever-list .sever-item img {
    min-height: 30px;
    min-width: 30px;
    padding: 0 38%;
    width: 100%;
    /* flex-shrink: 0; */
    display: block;
  }

  .service-process .sever-list .sever-item .title {
    font-size: 18px;
    line-height: 2
  }

  .service-process .sever-list .sever-item .sub-title {
    font-size: 16px;
    margin: 0;
    line-height: 2
  }

  .case .case-list {
    grid-template-columns: repeat(4, 1fr);
  }
}

/* 手机端样式 */
@media (max-width: 991.98px) {
  .carousel-item {
    height: 160px;
    min-height: 160px;
    background-size: contain;
  }

  .carousel-caption {
    bottom: 10%;
    padding: 10px;
  }

  .carousel-caption h5 {
    font-size: 1.5rem;
  }

  .carousel-caption p {
    display: none;
  }

  .sever-number {
    margin: 6vw auto;
  }

  .sever-number h2 {
    font-size: 26px;
    font-weight: bold;
  }

  .sever-number h2 span {
    font-size: 14px;
    color: #333;
    font-weight: normal;
  }

  .sever-number .lead {
    font-size: 14px;
    color: #333;
    font-weight: 400;
  }

  .sever-number .text-box {
    grid-template-columns: repeat(2, 1fr);
  }

  .professional .sub-title {
    font-size: 14px;
  }


  .professional .box-list {
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    padding: 1.8%;
  }

  .professional .box-item .text-box .text-1 {
    font-size: 13px;
  }

  .professional .box-item .text-box .text-2 {
    display: none;
  }

  .professional .more-btn {
    width: 280px;
    height: 40px;
  }
  
  .why-choose-us {
      padding: 30px 0 20px;
  }

  .why-choose-us .content-box {
    flex-direction: column;
  }

  .why-choose-us .content-box .number {
    font-size: 30px;
  }

  .why-choose-us .content-box .text {
    font-size: 14px;
  }

  .why-choose-us .content-box .img-box {
    display: flex;
    justify-content: center;
    width: 100%;
  }

  .why-choose-us .content-box .img-box img {
    width: 100%;
  }

  .why-choose-us .content-box .item-box {
    margin: 1.41608vw 4.26633% 0.708038vw 3.19967%;
  }

  .service-process .sever-list {
    grid-template-columns: repeat(2, 1fr);
    padding: 0 10px;
    gap: 10px 20px;
  }

  .service-process .sever-list .sever-item .title {
    font-size: 14px;
    line-height: 2
  }

  .service-process .sever-list .sever-item .sub-title {
    font-size: 14px;
    margin: 0;
    line-height: 2
  }

  .case .case-list {
    grid-template-columns: repeat(1, 1fr);
  }

  .case .case-item .img {
      height: auto;
  }
}